<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Models\Info;
use View;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $info=Info::find(1);
        view::share(
            [
                'blogo'=>$info->business_logo,
                'bname'=>$info->business_name,
                'binvoice'=>$info->business_sale_invoice_template,
                'baddress'=>$info->business_address,
                'btext'=>$info->business_address,
                'btype'=>$info->business_type,
                'bemail'=>$info->business_email,
                'bwebsite'=>$info->business_website,
                'bwhats_app'=>$info->business_whats_app,
                'bdate'=>$info->date_type,
                
            ]);
    }
}
